<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
	http://code.alibabatech.com/schema/dubbo http://code.alibabatech.com/schema/dubbo/dubbo.xsd">

	<dubbo:application name="search-b2b" owner="${dubbo.owner}" />

	<dubbo:registry address="${zk.url}" />

	<dubbo:protocol name="dubbo" port="20881" />

	<bean id="searchService"
		class="com.uas.search.console.b2b.service.impl.SearchServiceImpl" />

	<!-- 提供搜索服务 -->
	<dubbo:service interface="com.uas.search.b2b.service.SearchService"
		ref="searchService" group="${dubbo.group}" />

	<!-- 消费短信服务 -->
	<dubbo:reference id="smsService"
		interface="com.uas.message.sms.service.SmsService" timeout="30000" />
</beans>